## gargoyle 0.0.1

=== DESCRIPTION ===
Package: gargoyle
Title: An Event-Based Mechanism for 'Shiny'
Version: 0.0.1
Authors@R: person("Colin", "Fay", email = "contact@colinfay.me", role = c("aut", "cre"))
Description: An event-Based framework for building 'Shiny' apps.
    Instead of relying on standard 'Shiny' reactive objects, this 
    package allow to relying on a lighter set of triggers, so that 
    reactive contexts can be invalidated with more control.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: shiny, attempt
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-02-24 10:33:13 UTC; colin
Author: Colin Fay [aut, cre]
Maintainer: Colin Fay <contact@colinfay.me>
Repository: CRAN
Date/Publication: 2021-02-25 10:30:02 UTC

## gargoyle 2009.08.25-1

=== debian/changelog ===
gargoyle (2009.08.25-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/control ===
Source: gargoyle
Section: user/games
Priority: extra
Maintainer: Ivan Tkatchev <tkatchev@gmail.com>
Build-Depends: quilt, debhelper (>= 7), ftjam, libgtk2.0-dev, libpng12-dev, libjpeg62-dev, libfreetype6-dev, libfontconfig1-dev
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/garglk/

Package: gargoyle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gargoyle: a very advanced player for interactive fiction. (Text adventure games.)
 This is a port of Gargoyle, an advanced player for interactive fiction. 
 Supports all major formats. (Including Inform z-machine, glulx, tads, agility, alan, hugo, level 9, magnetic and scare.)
 WARNING: Gargoyle doesn't yet have a GUI launcher. To play your game, type 
 "gargoyle <gamefile>" 
 from the terminal. (Where "<gamefile>" is the filename containing the game.)

## gargoyle 2009.08.25-2

=== debian/changelog ===
gargoyle (2009.08.25-2) unstable; urgency=low

  * Initial release.

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

## gargoyle 2009.08.25-3

=== debian/changelog ===
gargoyle (2009.08.25-3) unstable; urgency=low

  * Initial release.

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/control ===
--- 
+++ 
@@ -13,5 +13,7 @@
  This is a port of Gargoyle, an advanced player for interactive fiction. 
  Supports all major formats. (Including Inform z-machine, glulx, tads, agility, alan, hugo, level 9, magnetic and scare.)
  WARNING: Gargoyle doesn't yet have a GUI launcher. To play your game, type 
- "gargoyle <gamefile>" 
- from the terminal. (Where "<gamefile>" is the filename containing the game.)
+ "gargoyle [gamefile]" 
+ from the terminal. (Where "[gamefile]" is the filename containing the game.)
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1612
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TARGET  := $(CURDIR)/debian/gargoyle

include /usr/share/quilt/quilt.make

build: build-stamp

build-stamp: $(QUILT_STAMPFN)
	dh_testdir

	# compile the package.
	jam

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# clean up after the build process.
	jam clean
	rm -rf build/

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# install the package into debian/gargoyle-free.
	jam install  # to build/dist/
	mkdir -p $(TARGET)/opt/gargoyle
	install -m 755 build/dist/gargoyle $(TARGET)/opt/gargoyle/
	mkdir -p $(TARGET)/etc
	mkdir -p $(TARGET)/usr/bin
	install garglk/garglk.ini $(TARGET)/etc/
	ln -s /opt/gargoyle/gargoyle $(TARGET)/usr/bin/gargoyle


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_lintian
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l"$(TARGET)/opt/gargoyle/"
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gargoyle 2009.08.25-4

=== debian/changelog ===
gargoyle (2009.08.25-4) unstable; urgency=low

  * Fixed window size upon startup.

  * Initial release.

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,81 @@
 Description: Gargoyle: a very advanced player for interactive fiction. (Text adventure games.)
  This is a port of Gargoyle, an advanced player for interactive fiction. 
  Supports all major formats. (Including Inform z-machine, glulx, tads, agility, alan, hugo, level 9, magnetic and scare.)
- WARNING: Gargoyle doesn't yet have a GUI launcher. To play your game, type 
+ WARNING: Gargoyle doesn't yet have a GUI launcher. To play your game, you need to launch it from the command line.
+ Type 
  "gargoyle [gamefile]" 
  from the terminal. (Where "[gamefile]" is the filename containing the game.)
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1612
+XB-Maemo-Icon-26: 
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
+ uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
+ F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
+ 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
+ 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
+ 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
+ FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
+ pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
+ Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
+ RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
+ 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
+ sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
+ qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
+ q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
+ +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
+ xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
+ ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
+ 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
+ lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
+ 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
+ swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
+ XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
+ drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
+ f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
+ A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
+ 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
+ tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
+ +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
+ XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
+ g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
+ ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
+ DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
+ zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
+ YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
+ sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
+ 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
+ acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
+ 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
+ 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
+ S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
+ NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
+ 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
+ PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
+ yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
+ eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
+ aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
+ LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
+ I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
+ D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
+ kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
+ kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
+ WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
+ 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
+ RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
+ UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
+ F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
+ AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
+ MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
+ qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
+ zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
+ HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
+ 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
+ t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
+ n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
+ vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
+ 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
+ 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
+ Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
+ zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
+ YII=

## gargoyle 2010.09.01-1

=== debian/changelog ===
gargoyle (2010.09.01-1) unstable; urgency=low
  
  * Upgraded to svn revision 415

  * Fixed window size upon startup.

  * Initial release.

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

## gargoyle 2010.09.01-3

=== debian/changelog ===
gargoyle (2010.09.01-3) unstable; urgency=low
  
  * Upgraded to svn revision 415, added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

## gargoyle 2010.09.01-4

=== debian/changelog ===
gargoyle (2010.09.01-4) unstable; urgency=low
  
  * Upgraded to svn revision 415, added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,9 @@
 	mkdir -p $(TARGET)/etc
 	mkdir -p $(TARGET)/usr/bin
 	install garglk/garglk.ini $(TARGET)/etc/
-	ln -s /opt/gargoyle/gargoyle $(TARGET)/usr/bin/gargoyle
+	#ln -s /opt/gargoyle/gargoyle $(TARGET)/usr/bin/gargoyle
+	echo -e '#!/bin/sh\nLD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $*' > $(TARGET)/usr/bin/gargoyle
+	chmod +x $(TARGET)/usr/bin/gargoyle
 
 
 # Build architecture-independent files here.

## gargoyle 2010.09.01-5

=== debian/changelog ===
gargoyle (2010.09.01-5) unstable; urgency=low
  
  * Upgraded to svn revision 415, added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	mkdir -p $(TARGET)/usr/bin
 	install garglk/garglk.ini $(TARGET)/etc/
 	#ln -s /opt/gargoyle/gargoyle $(TARGET)/usr/bin/gargoyle
-	echo -e '#!/bin/sh\nLD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $*' > $(TARGET)/usr/bin/gargoyle
+	echo '#!/bin/sh\nLD_LIBRARY_PATH=$$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $$*' > $(TARGET)/usr/bin/gargoyle
 	chmod +x $(TARGET)/usr/bin/gargoyle

## gargoyle 2010.09.01-6

=== debian/changelog ===
gargoyle (2010.09.01-6) unstable; urgency=low
  
  * Upgraded to svn revision 415, added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

## gargoyle 2010.09.01-7

=== debian/changelog ===
gargoyle (2010.09.01-7) unstable; urgency=low
  
  * Upgraded to svn revision 415, added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Ivan Tkatchev <tkatchev@gmail.com>
-Build-Depends: quilt, debhelper (>= 7), ftjam, libgtk2.0-dev, libpng12-dev, libjpeg62-dev, libfreetype6-dev, libfontconfig1-dev
+Build-Depends: quilt, debhelper (>= 7), ftjam, libgtk2.0-dev, libpng12-dev, libjpeg62-dev, libfreetype6-dev, libfontconfig1-dev, libhildon1-dev, libhildonfm2-dev
 Standards-Version: 3.8.3
 Homepage: http://code.google.com/p/garglk/

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	mkdir -p $(TARGET)/usr/bin
 	install garglk/garglk.ini $(TARGET)/etc/
 	#ln -s /opt/gargoyle/gargoyle $(TARGET)/usr/bin/gargoyle
-	echo '#!/bin/sh\nLD_LIBRARY_PATH=$$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $$*' > $(TARGET)/usr/bin/gargoyle
+	/bin/echo -e '#!/bin/sh\nLD_LIBRARY_PATH=$$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $$*' > $(TARGET)/usr/bin/gargoyle
 	chmod +x $(TARGET)/usr/bin/gargoyle

## gargoyle 2010.09.01-8

=== debian/changelog ===
gargoyle (2010.09.01-8) unstable; urgency=low
  
  * Upgraded to svn revision 415, added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: gargoyle
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ttf-droid, ${shlibs:Depends}, ${misc:Depends}
 Description: Gargoyle: a very advanced player for interactive fiction. (Text adventure games.)
  This is a port of Gargoyle, an advanced player for interactive fiction. 
  Supports all major formats. (Including Inform z-machine, glulx, tads, agility, alan, hugo, level 9, magnetic and scare.)

=== debian/rules ===
--- 
+++ 
@@ -45,11 +45,12 @@
 	install -m 755 build/dist/gargoyle $(TARGET)/opt/gargoyle/
 	mkdir -p $(TARGET)/etc
 	mkdir -p $(TARGET)/usr/bin
+	mkdir -p $(TARGET)/usr/share/applications/hildon
 	install garglk/garglk.ini $(TARGET)/etc/
 	#ln -s /opt/gargoyle/gargoyle $(TARGET)/usr/bin/gargoyle
 	/bin/echo -e '#!/bin/sh\nLD_LIBRARY_PATH=$$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $$*' > $(TARGET)/usr/bin/gargoyle
 	chmod +x $(TARGET)/usr/bin/gargoyle
-
+	cp debian/gargoyle.desktop $(TARGET)/usr/share/applications/hildon/
 
 # Build architecture-independent files here.
 binary-indep: install

## gargoyle 2010.09.01-9

=== debian/changelog ===
gargoyle (2010.09.01-9) unstable; urgency=low
  
  * Upgraded to svn revision 415, added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/rules ===
--- 
+++ 
@@ -46,11 +46,13 @@
 	mkdir -p $(TARGET)/etc
 	mkdir -p $(TARGET)/usr/bin
 	mkdir -p $(TARGET)/usr/share/applications/hildon
+	mkdir -p $(TARGET)/usr/share/icons/hicolor/48x48/apps
 	install garglk/garglk.ini $(TARGET)/etc/
 	#ln -s /opt/gargoyle/gargoyle $(TARGET)/usr/bin/gargoyle
 	/bin/echo -e '#!/bin/sh\nLD_LIBRARY_PATH=$$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $$*' > $(TARGET)/usr/bin/gargoyle
 	chmod +x $(TARGET)/usr/bin/gargoyle
 	cp debian/gargoyle.desktop $(TARGET)/usr/share/applications/hildon/
+	cp debian/gargoyle.png $(TARGET)/usr/share/icons/hicolor/48x48/apps/
 
 # Build architecture-independent files here.
 binary-indep: install

## gargoyle 2010.09.01-10

=== debian/changelog ===
gargoyle (2010.09.01-10) unstable; urgency=low
  
  * Upgraded to svn revision 415, added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

## gargoyle 2010.10.01-1

=== debian/changelog ===
gargoyle (2010.10.01-1) unstable; urgency=low
  
  * Upgraded to svn revision 459 (upstream version 2010.01), added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,8 @@
 	mkdir -p $(TARGET)/usr/share/icons/hicolor/48x48/apps
 	install garglk/garglk.ini $(TARGET)/etc/
 	#ln -s /opt/gargoyle/gargoyle $(TARGET)/usr/bin/gargoyle
-	/bin/echo -e '#!/bin/sh\nLD_LIBRARY_PATH=$$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $$*' > $(TARGET)/usr/bin/gargoyle
+	#/bin/echo -e '#!/bin/sh\nLD_LIBRARY_PATH=$$LD_LIBRARY_PATH:/opt/gargoyle /opt/gargoyle/gargoyle $$*' > $(TARGET)/usr/bin/gargoyle
+	cp debian/gargoyle.sh $(TARGET)/usr/bin/gargoyle
 	chmod +x $(TARGET)/usr/bin/gargoyle
 	cp debian/gargoyle.desktop $(TARGET)/usr/share/applications/hildon/
 	cp debian/gargoyle.png $(TARGET)/usr/share/icons/hicolor/48x48/apps/

## gargoyle 2010.10.01-2

=== debian/changelog ===
gargoyle (2010.10.01-2) unstable; urgency=low
  
  * Upgraded to svn revision 511 (upstream version 2010.01), added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

=== debian/control ===
Source: gargoyle
Section: user/games
Priority: extra
Maintainer: Ivan Tkatchev <tkatchev@gmail.com>
Build-Depends: quilt, debhelper (>= 7), ftjam, libgtk2.0-dev, libpng12-dev, libjpeg62-dev, libfreetype6-dev, libfontconfig1-dev, libhildon1-dev, libhildonfm2-dev
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/garglk/

Package: gargoyle
Architecture: any
Depends: ttf-droid, ${shlibs:Depends}, ${misc:Depends}
Description: Gargoyle: a very advanced player for interactive fiction. (Text adventure games.)
 This is a port of Gargoyle, an advanced player for interactive fiction. 
 Supports all major formats. (Including Inform z-machine, glulx, tads, agility, alan, hugo, level 9, magnetic and scare.)
 Games can be run either through the application menu launcher, or from the command line, like so:
 "gargoyle [gamefile]" 
 (Where "[gamefile]" is the filename containing the game.)
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1612
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oJBgoEKXxDcPoAAATfSURBVGje7ZhfaFtVHMc/p0nbzaZLw0BNNmq5
 U6YOIXBBcDhToXOMiW+Kbj7sxRSH0ymCD8KIyEAGdfowIUH3Ir6JoE4FGaxD
 BZUdiLo5I10sy5b9YbPN2nVpc885PtzcrNVZb5vbDiFf+HG5yYH8vuf7/f1+
 JwdaaKGFFlpo4X8M4Xfh5n0VscFauVUI9hlDUmswASYSagMhyGN4/cAzHV8G
 SuDlj6ZETYuX2kMcKI8ZJqYNUzMYY4wIZBeFMLd1ILo7BXeucjj1+x8vfP3t
 hfc4uuU/9yjs6wdCHas7mH7z17OKCxXt7bwI0gljQJsQjJypMHHp8ltW/PrH
 RbgYCIHLoz9t7Vx9d+TSeM1oFWjic6AAZToNbR0RfX3sMeDDQAhcvVLqja6y
 0MoRRi9tURqjBaKdmYmLvX7W+yKgZqohox2046C1WWoGGGPQznQoMALGaIzS
 GOWg1RITwGCUg9H+pPZFAK0xWqGVg1kOBZTCaEWAChiMdjDOMhBYCgWMVmjH
 VUAtg4V08ARcCxlVwyiWQQEFQVoIXS/gZbCQ24FmglVAG43Wy2Qho9HONMao
 YC2EUm5xLTmBerdTQRexUmintuQE3JnjBKsARrttdAkH2blPtwCw5omv6nMg
 4C5UrdZwajWareHzh7fNeY8//gXnD2/DspIAFD/byu39Wd+DrM1vF3JqNddC
 TQbA8XSarG03CHnJx2IhLCvJpeFB3wq0+felwjjKPdA1EQBSSnDzx7KSxGJd
 DAyESKfTxGIhiEH41PtvBEdAa7R20KpW70SLDwBsGMzJxs7v3v08YNPZ2cXQ
 0BDpJ9OMeVMtqNMoyu1ExjRfxF7ysVgXtr2Bvr61jI4m2LTpIUqlEtmD+wE4
 cuRHisW8me/f3wImscI4NXQABLzkh4b2USgUYC3E43Esy6JUKkE4yvbt20kk
 EmTezcMY/0rC3yTWCpTjDpgmCIz/8ByWlWRg4EE2bnyESCQCQGpdCs7OWuhU
 ANizZw/lcnleJfwOMo1y3C60SAJX5S4sK8mhQ+8AEIlEsG2bycnJRsLes3LN
 fY1Go6TTaVeJTN6rCbHga5XNT799UHX07pInzy/qLDSZfxHLSrJ376v09a2d
 d21/f/8/Pstms0gpGzE7b18KXCz9UrYeWEeb1sZx1IJuJa6deMUdUMU8O3c+
 y/j4ONEuIBy9sevh6I1nPeH169eTTCbp6elBSkkul5t75q6T8NVGz53+flTP
 /Fm7p7dbODW3FvzGyvv2NwJgZGQEwlGEEG609zSeHrzko9HozS7ixIIVuHLh
 lDz98+dHq+F7H1VTE+20d/se4n/HiRO/YdensMlmkUhkTjLoWqOBmyTfRBuF
 MyePf/IBK+8n3HVXr5pZ1bPIm7k7RkdH5n7iTWU5fx00fbkLdAMpEA/T1rlm
 0VeLurrDGIMQwlVA5njqiKJYzDM8PEyhUPAKlUQiAUAmk6GpOVDHBHAYzDfo
 agToqMdC29KOSsVtl96mvxYLMQikUilSqRSVSqVhoWPHjgViodmo1GPRyOfz
 nn+Y7Z+bJTs8PBw4gaZRKBQY8PyP3eCQSqVu7FJdhUKhEFgNNH9fEgzErSLg
 FaSJx8uAjfSqQIJcIeG7FUAVKSWZTIZyvNz4zq7a5HI5cSsVwLbtplSQUgpa
 aCFY/AXould/kldj0wAAAABJRU5ErkJggg==

## gargoyle 2010.10.01-3

=== debian/changelog ===
gargoyle (2010.10.01-3) unstable; urgency=low
  
  * Upgraded to svn revision 519 (upstream version 2010.01), added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400

## gargoyle 2010.10.01-4

=== debian/changelog ===
gargoyle (2010.10.01-4) unstable; urgency=low
  
  * Upgraded to svn revision 519 (upstream version 2010.01), added hildon support

 -- Ivan Tkatchev <tkatchev@gmail.com>  Mon, 17 May 2010 15:57:34 +0400
